Funnel nodes and node configuration.
Retrieve all nodes of the specified funnel
Retrieve all nodes of the specified funnel
query Parameters
apiKeyAn authorized api key
idFunnelstatusRetrieve all nodes of the specified funnel › Responses
List of funnel nodes
idNode64 bits integer unique id of the node
idFunnel64 bits integer id of the parent funnel
nodeNamenodeTypeThe type of this node. Depending on the value, different parameters may be required. >
- If nodeType is 'root' or 'rotator' then the property 'nodeRotatorParams' is optional
- If nodeType is 'lander' or 'offer' then the property 'nodePageParams' is required
- If nodeType is 'externalUrl' then the property 'nodeExternalUrlParams' is required
- If nodeType is 'jsCode' or 'phpCode' then the property 'nodeCodeParams' is required
- If nodeType is 'condition' then the property 'nodeConditionParams' is required
- If nodeType is 'visitorTag' then the property 'nodeVisitorTagParams' is required
posXNode's X position in the funnel canvas. From 0.0 to 1.0
posYNode's Y position in the funnel canvas. From 0.0 to 1.0
isArchivedRetrieve the specified node by its id
Retrieve the specified node by its id
query Parameters
apiKeyAn authorized api key
idNodeRetrieve the specified node by its id › Responses
The requested funnel node
idNode64 bits integer unique id of the node
idFunnel64 bits integer id of the parent funnel
nodeNamenodeTypeThe type of this node. Depending on the value, different parameters may be required. >
- If nodeType is 'root' or 'rotator' then the property 'nodeRotatorParams' is optional
- If nodeType is 'lander' or 'offer' then the property 'nodePageParams' is required
- If nodeType is 'externalUrl' then the property 'nodeExternalUrlParams' is required
- If nodeType is 'jsCode' or 'phpCode' then the property 'nodeCodeParams' is required
- If nodeType is 'condition' then the property 'nodeConditionParams' is required
- If nodeType is 'visitorTag' then the property 'nodeVisitorTagParams' is required
posXNode's X position in the funnel canvas. From 0.0 to 1.0
posYNode's Y position in the funnel canvas. From 0.0 to 1.0
isArchivedUpdate an existing funnel node
Update an existing funnel node. The id cannot be changed.
query Parameters
apiKeyAn authorized api key
Update an existing funnel node › Request Body
idNode64 bits integer unique id of the node
idFunnel64 bits integer id of the parent funnel
nodeNamenodeTypeThe type of this node. Depending on the value, different parameters may be required. >
- If nodeType is 'root' or 'rotator' then the property 'nodeRotatorParams' is optional
- If nodeType is 'lander' or 'offer' then the property 'nodePageParams' is required
- If nodeType is 'externalUrl' then the property 'nodeExternalUrlParams' is required
- If nodeType is 'jsCode' or 'phpCode' then the property 'nodeCodeParams' is required
- If nodeType is 'condition' then the property 'nodeConditionParams' is required
- If nodeType is 'visitorTag' then the property 'nodeVisitorTagParams' is required
posXNode's X position in the funnel canvas. From 0.0 to 1.0
posYNode's Y position in the funnel canvas. From 0.0 to 1.0
isArchivedUpdate an existing funnel node › Responses
Node updated successfully
Create a new funnel node
Create a new funnel node
query Parameters
apiKeyAn authorized api key
Create a new funnel node › Request Body
idNode64 bits integer unique id of the node
idFunnel64 bits integer id of the parent funnel
nodeNamenodeTypeThe type of this node. Depending on the value, different parameters may be required. >
- If nodeType is 'root' or 'rotator' then the property 'nodeRotatorParams' is optional
- If nodeType is 'lander' or 'offer' then the property 'nodePageParams' is required
- If nodeType is 'externalUrl' then the property 'nodeExternalUrlParams' is required
- If nodeType is 'jsCode' or 'phpCode' then the property 'nodeCodeParams' is required
- If nodeType is 'condition' then the property 'nodeConditionParams' is required
- If nodeType is 'visitorTag' then the property 'nodeVisitorTagParams' is required
posXNode's X position in the funnel canvas. From 0.0 to 1.0
posYNode's Y position in the funnel canvas. From 0.0 to 1.0
isArchivedCreate a new funnel node › Responses
Node created successfully

